> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-11/v11-12-0.md).

# Version 11.12.0 Changelog (April 1, 2026)

View the changelog for the 11.12.0 release for Android SDK.

## Notes

This release of Apryse for Android brings the core PDF functionality in line with version 11.12.0 of the Apryse cross-platform APIs. Most non-module related changes apply to Android.

## New

* Added ability to use ToolManager.selectAnnots API in read-only mode.

## Fixes

* Fixed an issue where PreToolManagerListeners were not working as expected.
* Fixed an issue where ToolManager.disableAnnotEditing would impact all PDFViewCtrls in the session instead of just the PDFViewCtrl associated with the particular ToolManager.

## APIs

### PDFViewCtrlTools package

#### ToolConfig

*removed* method: void disableAnnotEditing(Integer\[])

*removed* method: void enableAnnotEditing(Integer\[])

*removed* method: boolean isAnnotEditingDisabled(int)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-11/v11-12-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
